"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _componentProps = require("./component-props");

Object.keys(_componentProps).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _componentProps[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _componentProps[key];
    }
  });
});

var _componentMeta = require("./component-meta");

Object.keys(_componentMeta).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _componentMeta[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _componentMeta[key];
    }
  });
});

var _componentLifecycle = require("./component-lifecycle");

Object.keys(_componentLifecycle).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _componentLifecycle[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _componentLifecycle[key];
    }
  });
});

var _styleSchema = require("./style-schema");

Object.keys(_styleSchema).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _styleSchema[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _styleSchema[key];
    }
  });
});

var _dataSchema = require("./data-schema");

Object.keys(_dataSchema).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _dataSchema[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _dataSchema[key];
    }
  });
});

var _chartConfig = require("./chart-config");

Object.keys(_chartConfig).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _chartConfig[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _chartConfig[key];
    }
  });
});

var _standardModel = require("./standard-model");

Object.keys(_standardModel).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _standardModel[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _standardModel[key];
    }
  });
});

var _menuSchema = require("./menu-schema");

Object.keys(_menuSchema).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _menuSchema[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _menuSchema[key];
    }
  });
});