export var ImageDisplayMode;

(function (ImageDisplayMode) {
  ImageDisplayMode[ImageDisplayMode["LEFT"] = 0] = "LEFT";
  ImageDisplayMode[ImageDisplayMode["CENTER"] = 1] = "CENTER";
  ImageDisplayMode[ImageDisplayMode["RIGHT"] = 2] = "RIGHT";
  ImageDisplayMode[ImageDisplayMode["CLIP"] = 3] = "CLIP";
  ImageDisplayMode[ImageDisplayMode["STRETCH"] = 4] = "STRETCH";
})(ImageDisplayMode || (ImageDisplayMode = {}));

export var ConstastTypeMap = {
  dateRegion: ['DAY_DAY_RING_RATIO', 'DAY_WEEK_RATIO', 'DAY_MONTH_RATIO', 'DAY_YEAR_RATIO'],
  weekRegion: ['WEEK_WEEK_RING_RATIO', 'WEEK_YEAR_RATIO'],
  monthRegion: ['MONTH_MONTH_RING_RATIO', 'MONTH_YEAR_RATIO'],
  quarterRegion: ['QUARTER_QUARTER_RING_RATIO', 'QUARTER_YEAR_RATIO'],
  yearRegion: ['YEAR_YEAR_RING_RATIO']
};